Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StoryInteractionType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StoryInteractionType

Direct Known Subclasses:
  `TdApi.StoryInteractionTypeForward`, `TdApi.StoryInteractionTypeRepost`, `TdApi.StoryInteractionTypeView`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.StoryInteractionType extends TdApi.Object permits TdApi.StoryInteractionTypeView, TdApi.StoryInteractionTypeForward, TdApi.StoryInteractionTypeRepost
This class is an abstract base class. Describes type of interaction with a story.

## Constructor Summary

Constructors
Constructor
Description
`StoryInteractionType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StoryInteractionType

public StoryInteractionType()
Default class constructor.